extends layouts/main.pug

block stylehead
	meta(name='boardId' content=board._id)
	link(rel='stylesheet' href='/bower_components/summernote/dist/summernote.css')
	style(type='text/css').
		.navbar-lower {
			top: 50px;
		    z-index: 1029;
		    background-color : rgb(253,224,193);
		}

		.btn {
			margin-left: 1px;
			margin-right: 1px;
		}

block content
	div(class='navbar navbar-fixed-top navbar-default navbar-lower' role='navigation')
		div(class='container')
			div(class='row')
				div(class='col-md-12')
					div(class='pull-left')
						div(class='row')
							div(class='col-md-6')
								button(class='btn btn-default navbar-btn btn-sm')
									span()= 'Judul  ->  ' + board.title
							div(class='col-md-6')
								button(class='btn btn-default navbar-btn btn-sm')
									span()= 'Oleh  ->  ' + board.user.name
					div(class='pull-right')
						div(class='row')
							div(class='col-md-6')
								select(class='form-control navbar-btn input-sm')
									option(value="1") 100%
									option(value="0.9") 90%
									option(value="0.8") 80%
									option(value="0.7") 70%
									option(value="0.6") 60%
									option(value="0.5") 50%
									option(value="0.4") 40%
									option(value="0.3") 30%
									option(value="0.2") 20%
									option(value="0.1") 10%
							div(class='col-md-6')
								button(class='btn btn-primary navbar-btn btn-sm' @click="openCreateBoardToCreateContention()") Buat Kesimpulan

	div(class='container')
		div(class='row')
			

	div(class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" id="create-card-modal")
		div(class="modal-dialog modal-lg" role="document")
			div(class="modal-content")
				div(class="modal-header")
					h4() Buat Kesimpulan
				div(class="modal-body")
					div(class='form-group')
						label(class='label-control') Judul 
						input(class='form-control')
					div(class='form-group')
						label(class='label-control') Isi
						textarea(class='form-control')
					div(class='form-group')
						button(class='btn btn-success btn-sm') Simpan
						button(class='btn btn-danger btn-sm' @click="closeCreateCardModal()") Tutup
block script
	script(type='text/javascript' src='/bower_components/jquery/dist/jquery.js')
	script(type='text/javascript' src='/bower_components/jquery-ui/jquery-ui.js')
	script(type='text/javascript' src='/bower_components/bootstrap/dist/js/bootstrap.js')
	script(type='text/javascript' src='/bower_components/vue/dist/vue.js')
	script(type='text/javascript' src='/bower_components/summernote/dist/summernote.js')
	script(type='text/javascript' src='/bower_components/jsplumb/dist/js/jsplumb.js')
	script(type='text/javascript' src='/bower_components/ramda/dist/ramda.js')
	
	script(type='text/javascript' src='/models/board.js')
	script(type='text/javascript' src='/models/card.js')
	script(type='text/javascript' src='/models/user.js')

	script(type='text/javascript' src='/vue_components/draggable-card.component.js')

	script(type='text/javascript').
		
		var initBoard = new Board(null, null, null, null, null, null, null);

		var app = new Vue({
			el: '#app',
			data : {
				board : initBoard,
				formStatus : 'create-contention',
				modals : {
					createCardModal : null
				},
				forms : {
					createCard : {
						title : null,
						
					}
				}
			},
			methods : {
				getBoardData : function() {
					
					var vm = this;

					var boardId = $('meta[name=boardId]').attr("content");
					var url = '/api/board/' + boardId;

					var request = $.get({
						url : url
					})

					request
						.then(function(board) {

							var collaboratorIds = board.collaborators.map(function(collaborator) {
								return collaborator.id
							})

							vm.board
								.setId(board._id)
								.setCollaboratorIds(collaboratorIds)
						
						})
						.catch(function(error) {
							console.log(error)
						})
				},
				openCreateBoardToCreateContention : function() {
					this.formStatus = 'create-contention';

					this.openCreateCardModal();
				},
				openCreateCardModal : function() {
					this.modals.createCardModal.modal({
						backdrop : 'static',
						keyboard : false
					})
				},
				closeCreateCardModal : function() {
					this.modals.createCardModal.modal('hide');
				}
			},
			mounted :function() {
				this.getBoardData();

				this.modals.createCardModal = $('#create-card-modal');
			}
		})